# Get Feature Flags

Retrieve a paginated list of features with filtering, search, and sorting capabilities. Filter by feature IDs, keys, permission keys, or feature flag association. Search by name and sort by name, key, or creation date.

Endpoint: GET /resources/features/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Query parameters:

  - `offset` (number)
    Page offset of the results to return

  - `limit` (number)
    Number of results per page

  - `filter` (string)
    Search input; Searchable fields: `name`

  - `orderBy` (string)
    Order fields by date created (`createdAt`) or expired (`expirationDate`)

  - `sortType` (string)
    Sort fields by an ascending (`ASC`) or a decending (`DESC`) order

  - `featureIds` (array)
    Comma separated feature IDs that can be used to filter the results

  - `permissionKeys` (array)
    Comma separated permission keys that can be used to filter the results

  - `hasFeatureFlag` (boolean)
    Filter out features that are linked/not linked to feature-flag

  - `featureKeys` (array)
    Comma separated feature Keys that can be used to filter the results

## Response 200 fields (application/json):

  - `items` (array)

  - `items.id` (string, required)
    UUID string representing the feature ID
    Example: e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3

  - `items.vendorId` (string, required)
    UUID string representing the vendor ID
    Example: e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3

  - `items.name` (string, required)
    String representing the feature name
    Example: Test Feature

  - `items.key` (string, required)
    String representing the feature key
    Example: test-feature

  - `items.metadata` (object, required)
    JSON String
    Example: { "some-key": "some-value" }

  - `items.description` (string)
    Feature description
    Example: This is a test feature

  - `items.createdAt` (string, required)
    Date when a feature was created
    Example: 2022-01-01T00:00:00

  - `items.updatedAt` (string)
    Date when a feature was last updated
    Example: 2022-01-01T00:00:00

  - `items.permissions` (array)
    Array of permissions linked to a feature
    Example: ["permission.read","permission.write"]

  - `items.featureFlag` (object)
    Related Feature-Flag

  - `items.featureFlag.id` (string)
    UUID string that represents the feature flag ID
    Example: e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3

  - `items.featureFlag.name` (string)
    String that represent the feature flag name
    Example: Test Feature Flag

  - `items.featureFlag.on` (boolean)
    Boolean indicating whether the feature flag is on
    Example: true

  - `items.featureFlag.offTreatment` (string)
    Enum that represents the treatment in case feature flag is off
    Enum: "true", "false"

  - `items.featureFlag.defaultTreatment` (string)
    Enum that represents the default treatment
    Enum: "true", "false"

  - `items.featureFlag.description` (string)
    String the represents the feature flag description
    Example: This is a test feature flag

  - `items.featureFlag.updatedAt` (string)
    Date when feature flag was created
    Example: 2022-01-01T00:00:00

  - `items.featureFlag.createdAt` (string)
    Date when feature flag was last updated
    Example: 2022-01-01T00:00:00

  - `hasNext` (boolean)

